<!DOCTYPE patchbay>
<patchbay version="0.4.2" name="keyboard-qsynth">
 <output-sockets>
  <socket client="Oxygen 61" name="Oxygen61 IN" type="alsa-midi" exclusive="off">
   <plug>Oxygen 61 MIDI 1</plug>
  </socket>
  <socket client="system" name="system" type="jack-audio" exclusive="off">
   <plug>capture_1</plug>
   <plug>capture_2</plug>
  </socket>
  <socket client="PulseAudio JACK Sink" name="PulseAudio JACK Sink" type="jack-audio" exclusive="off">
   <plug>front-left</plug>
   <plug>front-right</plug>
  </socket>
  <socket client="qsynth" name="qsynth" type="jack-audio" exclusive="off">
   <plug>l_00</plug>
   <plug>r_00</plug>
  </socket>
  <socket client="jack-keyboard" name="jack-keyboard" type="jack-midi" exclusive="off">
   <plug>midi_out</plug>
  </socket>
  <socket client="Midi Through" name="Midi Through" type="alsa-midi" exclusive="off">
   <plug>Midi Through Port-0</plug>
  </socket>
 </output-sockets>
 <input-sockets>
  <socket client="system" name="system" type="jack-audio" exclusive="off">
   <plug>playback_1</plug>
   <plug>playback_2</plug>
   <plug>playback_3</plug>
   <plug>playback_4</plug>
  </socket>
  <socket client="PulseAudio JACK Source" name="PulseAudio JACK Source" type="jack-audio" exclusive="off">
   <plug>front-left</plug>
   <plug>front-right</plug>
  </socket>
  <socket client="jack-keyboard" name="jack-keyboard" type="jack-midi" exclusive="off">
   <plug>midi_in</plug>
  </socket>
  <socket client="qsynth" name="qsynth" type="jack-midi" exclusive="off">
   <plug>midi</plug>
  </socket>
  <socket client="FLUID Synth \([0-9]+\)" name="qsynth ALSA Midi" type="alsa-midi" exclusive="off">
   <plug>Synth input port \([0-9]+:0\)</plug>
  </socket>
  <socket client="Midi Through" name="Midi Through" type="alsa-midi" exclusive="off">
   <plug>Midi Through Port-0</plug>
  </socket>
 </input-sockets>
 <slots/>
 <cables>
  <cable type="jack-audio" input="PulseAudio JACK Source" output="system"/>
  <cable type="jack-audio" input="system" output="PulseAudio JACK Sink"/>
  <cable type="jack-audio" input="system" output="qsynth"/>
  <cable type="jack-midi" input="qsynth" output="jack-keyboard"/>
  <cable type="alsa-midi" input="qsynth ALSA Midi" output="Oxygen61 IN"/>
 </cables>
</patchbay>

